<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : alaSimpleBT $
 * $Revision: 1.0 $
 * 
 * Theme for pragmaMx Content Management System Platform<br>- HTML5 ready <br>
 * 
 * $Version: 1.0 $
 * $Author: André Lachnicht / aLaNiSo / www.alaniso.de $
 * $Date: 2015/06/16  $
 *
 */
defined ( 'mxMainFileLoaded' ) or die ( 'access denied' );

/**
 * theme_functions
 *
 * @package
 *
 * @author ????
 * @copyright Copyright (c) 2014
 * @access public
 */
class theme_functions {
	private static $config;
	private static $themename;
	private static $__set = array (); // Konfigurtion
	
	/**
	 * class::__construct()
	 *
	 * @param mixed $parameter        	
	 */
	function __construct($parameter = null) {
		$this->themename = $parameter;
		self::$themename = $parameter;
		self::$config = load_class ( "Config", $this->themename );
	}
	
	/**
	 * class::GetDefaultConfig()
	 *
	 * @return
	 *
	 */
	static function GetDefaultConfig() {
        $img_path = 'themes/' . self::$themename . '/images/';
		$temp = array (
				'navbarposition' => 'navbar-fixed-top',
				'logo' => $img_path . 'Logo120x50.png',
				'jumbotron' => '<h1>nice to meet you @ theme <b>alaSimpleBT</b></h1>',
				'rightblocks' => true,
				'sitename' => $GLOBALS ['sitename'],
				'slogan' => $GLOBALS ['slogan'],
				'searchslogan' => 'Wer suchet der findet...',
				'head_css_menu' => '{CSS-MENU}',
				'mobile_css_menu' => '{CSS-MENU}',
				'foot_css_menu' => '',
				'facebooklink' => '',
				'rsslink' => 'backend.php',
				'twitterlink' => '',
				'youtubelink' => '',
				'bebolink' => '',
				'googlelink' => '',
				'xinglink' => '',
				'tumblrlink' => '',
				'perex' => '0',
				'banner' => array (
						'head' => 0,
						'foot' => 0 
				),
				'useslides' => 0,
				'nof_slides' => 0,
				'layouttype' => 'fluid',
				'layoutcols' => 'default',
		);
		return $temp;
	}
	
	/**
	 * class::config_save()
	 * Konfiguration auslesen .
	 *
	 *
	 * ...
	 *
	 * @param array $temp        	
	 * @return
	 *
	 */
	public function config_save($temp = array()) {
		$themename = $this->themename;
		self::$config->setSection ( $themename, $temp );
		return;
	}
	
	/**
	 * class::config_load()
	 *
	 * @return
	 *
	 */
	public function config_load() {
		// self::$config = load_class("Config",$this->themename);
		$themename = $this->themename;
		
		$temp = $this->GetDefaultConfig ();
		$temp = array_merge ( $temp, (self::$config->getSection ( $themename )) );
		
		// if (count($temp) == 0) { // Array leer
		// defaultwerte eintragen
		// $temp = $this->GetDefaultConfig();
		// self::$config->setSection($themename, $temp);
		// }
		
		return $temp;
	}
	
	/**
	 * class::__get()
	 *
	 * @param mixed $value_name        	
	 * @return
	 *
	 */
	public function __get($value_name) {
		if (isset ( self::$__set [$value_name] )) {
			return self::$__set [$value_name];
		}
		return false;
	}
	
	/**
	 * class::__set()
	 *
	 * @param mixed $name        	
	 * @param mixed $val        	
	 * @return
	 *
	 */
	public function __set($name, $val) {
		self::$__set [$name] = $val;
	}
}

?>